body {
  background: #eee;
  user-select: none;
}

.fy1,
.fy2 {
  float: right;
}

#Data {
  padding: 0.5em;
}

#Data td:nth-child(-n + 4),
#Data td:nth-last-child(-n + 2) {
  background: #f4f4f4;
}

#Data tr {
  vertical-align: bottom;
}

#Data td:nth-child(n + 5):not(.disabled):hover {
  background: lightyellow;
}

#Data td:nth-child(n + 5):focus {
  background: yellow;
}

#Data tr > :nth-child(5) {
  border-left: 1px solid black;
}

#analyst {
  width: 30em;
}

nav {
  background: #444;
  color: white;
  padding: 0.5em;
  /* display: none; */
}

nav table {
  color: black;
}

nav table {
  background: #f2f2f2;
}

#Filter {
  display: none;
}

#Filter button {
  padding: 0.5em;
}

.types table {
  background: #444;
  border: 1px solid white;
}

.types table tr:nth-child(1) td:nth-child(3) {
  border-left: 15px solid #ddd;
}

.types button {
  position: relative;
  border-radius: 5px;
  width: 7em;
  height: 4.5em;
  vertical-align: top;
}

.types button div {
  position: absolute;
  top: 2px;
  right: 5px;
  color: gray;
  font-size: 80%;
}

button.selected {
  background: radial-gradient(#afa, #8c8);
}

textarea {
  display: none;
}

#Data tr > :empty {
  padding: 0;
}

div.data.invisible {
  visibility: hidden;
}

#Data td.flag {
  color: white;
  background: red;
  font-weight: bold;
}

#Data td.flagLo {
  background: pink;
}

#Data td.flagHi {
  background: orange;
}

#Data td.flagOk {
  background-color: #90ee90;
}

.note {
  color: brown;
  font-size: 90%;
}

input:focus {
  background: yellow;
}

select:focus {
  background: yellow;
}

div.data img {
  height: 20px;
  margin-right: 0.5em;
}

#dates {
  background: #eee;
}

div.buttons {
  color: white;
}

div.buttons > * {
  vertical-align: bottom;
  height: 2.5em;
  margin-right: 1em;
  border-radius: 5px;
}

div.buttons span {
  vertical-align: middle;
}

#search {
  height: 1.5em;
}

td.formula {
  background: #fed;
}

.chosen-disabled li.search-choice a {
  display: none !important;
}

#QCMin,
#QCMax,
#QCLabel {
  width: 5em;
}

.orange {
  background: orange !important;
}

.yellow {
  background: yellow !important;
}

.right {
  float: right;
}

.hidden {
  display: none;
}

td:nth-child(n + 5) {
  min-width: 5em;
}

body.noQC .QC {
  display: none;
}

u {
  color: inherit;
  padding: 0;
}

div.todo {
  background: #eee;
  color: black;
  position: fixed;
  right: 5px;
  top: 5px;
  padding: 0.5em;
  font-size: 90%;
}

div.todo ul {
  display: none;
}

.late,
.late * {
  color: red !important;
  font-weight: bold;
}

nav h2 {
  color: #bdf;
  font-size: 120%;
  display: inline-block;
  margin-right: 1em;
  vertical-align: bottom;
}

sub {
  font-size: 80%;
  vertical-align: baseline;
}

.focused {
  outline: 1px solid brown;
}

.focused td:nth-child(n + 1):nth-child(-n + 4) {
  z-webkit-text-stroke: 1px brown;
  background: lightyellow !important;
}

.disabled {
  background: #eee;
}

#Data thead tr > * {
  position: sticky;
  background: #def;
  top: 0;
}

div.login {
  padding: 1em;
  font-size: 120%;
}

#Invalid {
  color: red;
  display: none;
}

button.hide {
  font-size: 90%;
  float: right;
  margin-left: 1em;
}

h2 {
  float: left;
  height: 100px;
  vertical-align: middle;
}

fieldset {
  display: inline-block;
  vertical-align: top;
}

legend {
  color: #bdf;
  font-size: 120%;
}
